FreeMat

- Main Page
- Related Pages

vtkXMLPStructuredGridWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLPStructuredGridWriter writes the PVTK XML StructuredGrid file format. One structured grid input can be written into a parallel file format with any number of pieces spread across files. The standard extension for this writer's file format is "pvts". This writer uses vtkXMLStructuredGridWriter to write the individual piece files.

To create an instance of class vtkXMLPStructuredGridWriter, simply invoke its constructor as follows

      obj = vtkXMLPStructuredGridWriter

# Methods

The class vtkXMLPStructuredGridWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLPStructuredGridWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLPStructuredGridWriter = obj.NewInstance ()`
- `vtkXMLPStructuredGridWriter = obj.SafeDownCast (vtkObject o)`